<script lang="ts">
import Vue from 'vue';
import FeatureList from './feature-list.vue';

export default Vue.extend({
  name: 'PricingBanner',
  components: { FeatureList },
  props: {
    data: {
      type: Object,
      required: true,
      default: () => {},
    },
    showFootnote: {
      // can delete once our A/B test is finished and just use null check
      type: Boolean,
      required: false,
      default: false,
    },
    compact: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
});
</script>

<template>
  <SlpContainer>
    <div :id="data.id" class="pricing-banner" :class="{ compact: compact }">
      <SlpRow class="w-100 prevent-overflow">
        <SlpColumn class="review-text-container" :cols="7" size="md">
          <div class="pricing-banner__copy">
            <SlpPillButton v-if="data.badge_text" type="true">
              {{ data.badge_text }}
            </SlpPillButton>
            <SlpTypography
              v-if="data.eyebrow_headline"
              variant="body1-bold"
              tag="p"
              class="slp-mt-16"
            >
              {{ data.eyebrow_headline }}
            </SlpTypography>
            <SlpTypography
              v-if="data.headline"
              :variant="compact ? 'heading3-bold' : 'heading2-bold'"
              tag="p"
              class="slp-mt-16"
            >
              {{ data.headline }}
            </SlpTypography>
            <SlpTypography
              v-if="data.blurb"
              :variant="compact ? 'body1' : 'heading4'"
              tag="p"
              class="slp-mt-16"
            >
              {{ data.blurb }}
            </SlpTypography>
            <SlpButton
              v-if="data.button?.text"
              variant="tertiary"
              class="slp-mt-24"
              :data-ga-name="data.button.data_ga_name"
              :data-ga-location="data.button.data_ga_location"
              :href="data.button.url"
            >
              {{ data.button.text }}
              <SlpIcon
                class="slp-ml-16"
                name="chevron-lg-right"
                variant="product"
                slp-color="primary-200"
                alt="Chevron Right Icon"
              />
            </SlpButton>
            <SlpTypography
              v-if="showFootnote && data.footnote"
              variant="body2"
              tag="p"
              class="slp-mt-32 pricing-banner__footnote"
            >
              {{ data.footnote }}
            </SlpTypography>
          </div>
        </SlpColumn>
        <SlpColumn class="review-text-container" :cols="5" size="md">
          <div class="pricing-banner__features">
            <FeatureList :data="data.features" />
          </div>
        </SlpColumn>
      </SlpRow>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.pricing-banner {
  background: linear-gradient(
    90.05deg,
    #eee7fd 2.53%,
    rgba(246, 243, 254, 0.83) 50.98%,
    rgba(255, 212, 216, 0.45) 100%
  );
  border-radius: 24px;
  padding: $spacing-32 $spacing-24;
  margin-top: $spacing-48;
  &.compact {
    border-radius: 4px 4px 100px 4px;
    @media (min-width: $breakpoint-lg) {
      padding: $spacing-64;
      margin-top: $spacing-64;
    }
  }
  @media (min-width: $breakpoint-md) {
    padding: $spacing-64 $spacing-64;
  }
  @media (min-width: $breakpoint-lg) {
    padding: $spacing-64 $spacing-96;
    margin-top: $spacing-64;
  }
  &__copy {
    @media (min-width: $breakpoint-md) {
      padding-right: $spacing-32;
    }
  }

  &__features {
    background: #fff;
    border-radius: 4px;
    padding: $spacing-24;
    margin-top: $spacing-32;
    @media (min-width: $breakpoint-md) {
      margin-top: 0;
    }
  }
  &__footnote {
    font-style: italic;
  }
  :deep {
    .slp-pill-btn {
      cursor: default;
      padding: 4px 12px;
      .slp-icon {
        display: none;
      }
    }
    .pricing-feature-list-container {
      .header {
        margin-bottom: 16px;
        font-size: 16px !important;
        @media (min-width: $breakpoint-md) {
          font-size: 20px !important;
        }
      }
      .list {
        margin-bottom: 0;
        @media (min-width: $breakpoint-md) {
          font-size: 20px !important;
        }
        .item {
          margin-top: 16px;
        }
      }
    }
  }
}
</style>
